# Work with contracts

This section contains the following guides on working with contracts:

* [Add Contract to your App](https://docs.everos.dev/ever-sdk/guides/work_with_contracts/add_contract_to_your_app)
* [Using custom Giver](https://docs.everos.dev/ever-sdk/guides/work_with_contracts/custom_giver)
* [Deploy](https://docs.everos.dev/ever-sdk/guides/work_with_contracts/deploy)
* [Run on-chain](https://docs.everos.dev/ever-sdk/guides/work_with_contracts/run_onchain)
* [Run ABI Get Method](https://docs.everos.dev/ever-sdk/guides/work_with_contracts/run_abi_get_method)
* [Run Fift Get Method](https://docs.everos.dev/ever-sdk/guides/work_with_contracts/run_fift_get_method)
* [Message Expiration](https://docs.everos.dev/ever-sdk/guides/configuration/message_expiration)
* [Work with Events](https://docs.everos.dev/ever-sdk/guides/work_with_contracts/work_with_events)
* [Retry Message](https://docs.everos.dev/ever-sdk/guides/configuration/retry_message)
* [External Signing](https://docs.everos.dev/ever-sdk/guides/work_with_contracts/external_signing)
* [Emulate Transaction](https://docs.everos.dev/ever-sdk/guides/work_with_contracts/emulate_transaction)
* [Decode Message](https://docs.everos.dev/ever-sdk/guides/work_with_contracts/decode_message)
* [Estimate Fees](https://docs.everos.dev/ever-sdk/guides/work_with_contracts/estimate_fees)
* [Validate address, convert address](https://docs.everos.dev/ever-sdk/guides/work_with_contracts/validate_address_convert_address)
* [Trace message processing with REMP](https://docs.everos.dev/ever-sdk/guides/work_with_contracts/trace-message-processing-with-remp)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.everos.dev/ever-sdk/guides/work_with_contracts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
